export declare class TLRU<T> extends Map<string, T> {
    private maxStoreSize;
    private maxAgeMs;
    private readonly scheduler;
    private readonly disposer?;
    private defaultLRU;
    constructor(options?: {
        maxStoreSize?: number;
        maxAgeMs?: number;
        defaultLRU?: boolean;
        disposer?: (obj: T) => void;
    });
    set(key: string, value: T, ttuMs?: number): this;
    get(key: string, revive?: boolean): T | undefined;
    delete(key: string): boolean;
    clear(): void;
    toJSON(): [string, T][];
}
